[Git][security-tracker-team/security-tracker][master] 2 commits: bin/gen-DSA: Use $needed_file.
Chris Lamb
lamby at debian.org
Mon Aug 20 10:06:29 BST 2018
Chris Lamb pushed to branch master at Debian Security Tracker / security-tracker
Commits:
b29f3953 by Chris Lamb at 2018-08-20T09:06:22Z
bin/gen-DSA: Use $needed_file.
- - - - -
d55d75ec by Chris Lamb at 2018-08-20T09:06:22Z
bin/gen-DSA: Try and avoid duplicated work when generating DLAs and ELAs due to lack of co-ordination in the -needed.txt files.
- - - - -
1 changed file:
- bin/gen-DSA
Changes:
=====================================
bin/gen-DSA
=====================================
--- a/bin/gen-DSA
+++ b/bin/gen-DSA
@@ -393,14 +393,17 @@ EOF
idmode=$(echo "$IDMODE" | tr A-Z a-z)
if [ -d .git ]; then
echo "Made the following changes:"
- git diff -- data/$IDMODE/list data/$idmode-needed.txt
+ git diff -- data/$IDMODE/list $needed_file
+ if ! git diff-index --name-only HEAD -- $needed_file | grep -qs .; then
+ warn "did not make any changes to $needed_file - this may indicate duplicate work"
+ fi
fi
warn "you need to commit and push the changes to data/$IDMODE/list etc. to actually reserve the $IDMODE-$DAID number and avoid conflicts with others."
if [ -d .git ]; then
echo -n "Do you want to commit and push them now ? [Yn] "
read reply
if [ "$reply" = "Y" ] || [ "$reply" = "" ] || [ "$reply" = "y" ]; then
- git add data/$IDMODE/list data/$idmode-needed.txt
+ git add data/$IDMODE/list $needed_file
git commit -m "Reserve $IDMODE-$DAID for $PACKAGE"
git push origin master
fi
View it on GitLab: https://salsa.debian.org/security-tracker-team/security-tracker/compare/4295d0604bf69d1ff042006bf298af2653ba5623...d55d75ec0d37712970b3559edaaad50a8e8851e6
--
View it on GitLab: https://salsa.debian.org/security-tracker-team/security-tracker/compare/4295d0604bf69d1ff042006bf298af2653ba5623...d55d75ec0d37712970b3559edaaad50a8e8851e6
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-security-tracker-commits/attachments/20180820/c4a6e4c7/attachment-0001.html>
More information about the debian-security-tracker-commits
mailing list